
/* ------------------- Configs Site e Class Gerais --------------------- */

html {
    scroll-behavior: smooth;
    scroll-padding-top: 200px;
}

body {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    background-color: #0E1211;
    color: #f8f9fa;
    transition: background-color 0.5s;
    overflow-x: hidden;
}

a {
    text-decoration: none;
}
    
.green {
    color: #0dbd16;
}
.underline {
    text-decoration:underline #0dbd16;
}






/* ------------------- Header --------------------- */

header {
    justify-content: center;
    align-items: center;
    background: #15251D;
    color: #f8f9fa;
    padding: 1rem 0;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
    box-shadow: 0px 2px 0px #4a934e;
    transition: background-color 0.5s;
}

/* .menu-hamburger{
    width: 100%;
    display: flex;
    justify-content: center;
} */

.menu {
    background-color: #0dbd16;;
    width: 60px;
    height: 60px;
    margin: 1rem 1rem;
    border-radius: 5px;
    cursor: pointer;
    display: none;
}
  
.hamburguer {
    position: relative;
    display: block;
    background: #fff;
    width: 20px;
    height: 2px;
    top: 20px;
    left: 10px;
    transition: 0.5s ease-in-out;
}
  
.hamburguer:before,
.hamburguer:after {
    background: #ffff;
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    transition: 0.5s ease-in-out;
}
  
.hamburguer:before {
    top: -10px;
}
  
.hamburguer:after {
    bottom: -10px;
}
  
input {
    display: none;
}

/* rotação dos elementos do span */
input:checked ~ label .hamburguer {
    transform: rotate(45deg);
}

input:checked ~ label .hamburguer:before {
    transform: rotate(90deg);
    top: 0;
}
  
input:checked ~ label .hamburguer:after {
    transform: rotate(90deg);
    bottom: 0;
}

input:checked ~ .menu-hamburguer-elements{
    left: 0;
}



header a {
    align-items: center;
    margin-bottom: 0;
    margin-top: -10px;
    margin-left: 40px;
    display: flex;
}

header img {
    max-height: 65px;
}

ul {
    list-style: none;
    display: flex;
    justify-content: center;
    margin-top: -30px;
    margin-bottom: -10px;
    padding: 0;
}

ul li {
    list-style: none;
    margin: 0 1rem 1.8rem;
}

ul li a {
    color: #f8f9fa;
    text-decoration: none;
    font-weight: bold;
    transition: color 0.3s;    
    font-size: 18px;
}

ul li a:hover {
    color: #0dbd16;
}



section {
    width: 80%;
    margin: auto;
    text-align: center;
    transition: background-color 0.5s;
    margin-bottom: 10rem;
}

section h2 {
    font-size: 30px;
    margin-bottom: 3rem;
}





/* ------------------- Sobre --------------------- */

.home {
    justify-content: space-between;
    margin-top: 160px;
    display: flex;
    padding: 2.5rem;
}

.perfil img {
    border-radius: 50%;
    width: 550px; 
    height: 550px; 
    object-fit: cover;
    box-shadow: 7px 5px 0px 0px #0dbd16;
    transition: transform 0.3s;
}

.welcome {
    margin: auto 0;
}

.welcome h2 {
    margin: 8rem auto 0;
    font-weight: normal;
    font-size: 3.5rem;
    transition: color 0.3s;
    
}

.welcome h1{
    margin: 0 auto 8rem;
    font-size: 4rem;
    font-weight: normal;
}

.welcome p{
    font-size: 1.5rem;
    font-weight: normal;
    margin: 0;
    text-decoration:underline #0dbd16;
}



.welcome .social-icons a {
    color: #f8f9fa;
    margin: 0 0.5rem;
    font-size: 1.5rem;
    transition: all .3s ease-in-out !important;
}

.welcome .social-icons a:hover {
    color: #0dbd16;
}





/* ------------------- Descrição --------------------- */


.descricao {
    max-width: 900px;
    width: 100%;
    margin: 14rem auto 12.5rem;
    transition: transform 0.3s;
}

.descricao h2 {
    margin: 0 auto 4rem;
}

.descricao p {
    font-size: 20px;
    line-height: 1.6;
    margin-bottom: 1rem;
    transition: color 0.3s;
}










/* ------------------- Experiencia --------------------- */


.experiencia-grid {
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 2rem;
}

.experiencia-card {
    background-color: #f8f9fa;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: -10px 8px 0px #15251D;
    transition: all .3s ease-in-out !important;
}

.experiencia-card:hover {
    box-shadow: -10px 8px 0px #0dbd16;
}


.experiencia-card h3 {
    margin-bottom: 1rem;
    font-size: 1.5rem;
    color: #15251D;
    transition: color 0.3s;
}

.experiencia-card:hover h3 {
    color: #0dbd16;
}

.experiencia-card p{
    color: #15251D; 
    line-height: 1.6;
}





/* ------------------- Projeto --------------------- */

.projetos {
    /* display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); */
    gap: 2rem;
}

.projeto {
    background: #f8f9fa;
    border: 1px solid #f8f9fa;
    height: auto;
    margin: 0 50px 40px;
    border-radius: 10px;
    box-shadow: -10px 8px 0px #15251D;
    transition: all .3s ease-in-out !important;
}

.projeto:hover {
    box-shadow: -10px 8px 0px #0dbd16;
}

.projeto-img img {
    width: 100%;
    height: 14.063rem;
    object-fit: cover;
    filter: brightness(0.7);
    border-radius: 10px 10px 0 0;

}

.projeto-infos {
    padding: 2rem;
}

.linguagem-logo {
    display: flex;
    justify-content: center;
}

.linguagem-logo img {
    display: flex;
    width: 35px; 
    padding: 10px;  
}

.projeto p {
    color: #343a40; 
    line-height: 1.6;
    transition: color 0.3s;
}

.projeto h3 {
    color: #343a40; 
    margin-bottom: 1rem;
    font-size: 1.5rem;
    transition: color 0.3s;
}






/* ------------------- Contato --------------------- */

.contato-text p {
    font-size: 20px;
}

.contato-text a {
    color: #f8f9fa;
    font-weight: bold;
    transition: all .3s ease-in-out !important;
}

.contato-text a:hover {
    color: #0dbd16;
}

.contato-icons {
    margin: 3rem auto 0; 
}

.contato-icons a {
    color: #fff;
    margin: 0 0.5rem;
    font-size: 1.4rem;
    transition: all .3s ease-in-out !important;
}

.contato-icons a:hover {
    color: #0dbd16;
}








/* ------------------- Footer --------------------- */

footer {
    background: #15251D;
    color: #f8f9fa;
    padding: .4rem;
    text-align: center;
    width: 100%;
}









/* ------------------- Responsivo --------------------- */

@media (max-width: 600px) {

    .menu-hamburguer-elements a:hover{
        color: #0dbd16;;
    }
    
    .menu-hamburger{
        display: flex;
        width: auto;
        flex-direction: column;
        align-self: flex-start;
        overflow: auto;
        z-index: 1;
        color: white
    }

    .menu-hamburguer-elements{
        width: 60%;
        height: 100%;
        background-color: rgba(10,10,10,.9);
        position: fixed;
        left: -60%;
        top: 0;
    
        transition: left cubic-bezier(1,0,0,1) .8s;
        
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: center;
    
        padding-top: 15vh;
    
        z-index: -1;
    }

    .menu{
        display: flex;
        height: 40px;
        width: 40px;
        margin-top: 5px;
        margin-bottom: 20px;
    }

    .link-menu-mobile {
        padding: 25px;
        margin-bottom: 55px;
        margin-left: 100px;
    }


    header {
        padding: .6rem 0;
    }

    header a {
        margin-left: 240px;
        margin-top: -70px;
    }

    header ul {
        margin-left: -70px;
    }

    .home {
        display: table;
    }

    .perfil img {
        width: 450px;
        height: 450px;
    }

    
    section {
        width: 100%;
        margin: auto;
    }

    section h2 {
        margin-top: 10rem;
    }

    
    .experiencia-grid {
        display: grid;
        grid-template-columns: auto;
        gap: auto;
        padding: auto;
        margin: auto;
    }

    .experiencia-card {
        padding: 0;
    }

    /* .projetos {
        
    } */
}
